Mailinglist Archive: opensuse (1350 mails)

< Previous Next >
Re: [opensuse] Adobe Reader no longer works - 15.0
On 2018-06-08 17:41, Joerg Kuehne wrote:
I copied all /usr/lib64/libxcb* files and symlinks in my working 42.3
 to /usr/lib/Adobe/Reader9/Reader/intellinux/lib in the 15.0 VM
 
 carlos@linux-phe7:~> acroread
 Segmentation fault (core dumped)
 carlos@linux-phe7:~>

Adobe Reader is a 32Bit application, so you need to copy the 32Bit versions
from /lib/ or /usr/lib/
OMG. Of course.
No problem. IMHO you only need to copy the libxcb.so.* and the
corresponding symlink from /usr/lib/
Test at least the print dialog with a pdf document. If it crashes, copy
the other two libs I mentioned in my first mail.

I was for a while without access to my 15.0 VM and I couldn't test, then
I forgot. Back to it today.

With only libxcb.so.* it does not crash, but it does not start either.

libpcre librsvg

With:

/usr/lib/libpcre.so.1
/usr/lib/libpcre.so.1.2.7

It does start :-)

librsvg I don't have in my main system.

Acroread now starts and displays things correctly.. However, it does not
fully exit, I had to kill -9 it.


Thanks for the finding :-)


How did you know about those libs?


--
Cheers / Saludos,

Carlos E. R.
(from 42.3 x86_64 "Malachite" at Telcontar)

< Previous Next >